Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 23299002: Make the AES-GCM cipher suites work in DTLS, by moving the (Closed)

Created:
6 years, 11 months ago by wtc
Modified:
6 years, 11 months ago
Reviewers:
Ryan Sleevi
CC:
chromium-reviews, cbentzel+watch_chromium.org, agl
Visibility:
Public.

Description

Make the AES-GCM cipher suites work in DTLS, by moving the ssl3_BuildRecordPseudoHeader calls to where the isDTLS boolean is available. Make the three MAC-related fields of the SSLCipherSuiteInfo structure report reasonable values for AEAD ciphers, which don't use a MAC. R=rsleevi@chromium.org BUG=255241 TEST=none Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=218606

Patch Set 1 #

Total comments: 12

Patch Set 2 : Address first review comments #

Total comments: 5

Patch Set 3 : Fix comments and update patch files #

Unified diffs Side-by-side diffs Delta from patch set Stats (+409 lines, -264 lines) Patch
M net/third_party/nss/patches/aesgcm.patch View 1 2 49 chunks +312 lines, -128 lines 0 comments Download
M net/third_party/nss/patches/aesgcmchromium.patch View 1 2 5 chunks +6 lines, -6 lines 0 comments Download
M net/third_party/nss/ssl/dtlscon.c View 1 chunk +0 lines, -7 lines 0 comments Download
M net/third_party/nss/ssl/ssl3con.c View 1 2 29 chunks +78 lines, -115 lines 0 comments Download
M net/third_party/nss/ssl/sslimpl.h View 1 2 chunks +3 lines, -3 lines 0 comments Download
M net/third_party/nss/ssl/sslinfo.c View 4 chunks +5 lines, -4 lines 0 comments Download
M net/third_party/nss/ssl/sslt.h View 1 2 chunks +5 lines, -1 line 0 comments Download

Messages

Total messages: 7 (0 generated)
wtc
rsleevi: please review this CL. agl: just FYI. https://codereview.chromium.org/23299002/diff/1/net/third_party/nss/ssl/dtlscon.c File net/third_party/nss/ssl/dtlscon.c (left): https://codereview.chromium.org/23299002/diff/1/net/third_party/nss/ssl/dtlscon.c#oldcode39 net/third_party/nss/ssl/dtlscon.c:39: TLS_RSA_WITH_AES_128_GCM_SHA256, ...
6 years, 11 months ago (2013-08-17 00:21:15 UTC) #1
Ryan Sleevi
This mostly looks good, but I want to take another pass after a day to ...
6 years, 11 months ago (2013-08-17 02:00:23 UTC) #2
wtc
Thank you for your review. Patch set 2 has the changes you suggested. https://codereview.chromium.org/23299002/diff/1/net/third_party/nss/ssl/ssl3con.c File ...
6 years, 11 months ago (2013-08-19 23:31:56 UTC) #3
Ryan Sleevi
This LGTM for all supported AEAD ciphers, but please see below on why I think ...
6 years, 11 months ago (2013-08-20 01:38:50 UTC) #4
wtc
Thank you for your review. Patch set 3 is ready for checkin. https://codereview.chromium.org/23299002/diff/23001/net/third_party/nss/ssl/ssl3con.c File net/third_party/nss/ssl/ssl3con.c ...
6 years, 11 months ago (2013-08-20 19:13:11 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/wtc@chromium.org/23299002/6004
6 years, 11 months ago (2013-08-20 21:57:38 UTC) #6
commit-bot: I haz the power
6 years, 11 months ago (2013-08-21 02:46:12 UTC) #7
Message was sent while issue was closed.
Change committed as 218606

Powered by Google App Engine
This is Rietveld 408576698